Page MenuHomePhabricator

Add a basic web UI for intracluster sync logs
ClosedPublic

Authored by epriestley on Nov 8 2018, 6:17 PM.

Details

Summary

Depends on D19798. Ref T13216. This puts at least a basic UI on top of sync logs.

Test Plan

Viewed logs from the web UI and exported data. Note that these syncs are somewhat simulated since I my local cluster is somewhat-faked (i.e., not actually multiple machines).

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley created this revision.Nov 8 2018, 6:17 PM
Harbormaster returned this revision to the author for changes because remote builds failed.Nov 8 2018, 6:18 PM
Harbormaster failed remote builds in B21121: Diff 47273!
epriestley requested review of this revision.Nov 8 2018, 6:21 PM

Failing because of phutil_microseconds_since(...).

amckinley accepted this revision.Nov 9 2018, 7:27 PM
amckinley added inline comments.
src/applications/diffusion/query/DiffusionSyncLogSearchEngine.php
69–74

Should these be something other than PhabricatorPHIDExportField?

101

Could this actually happen, or is this just being very defensive?

src/applications/diffusion/view/DiffusionSyncLogListView.php
22

Same as above.

This revision is now accepted and ready to land.Nov 9 2018, 7:27 PM
epriestley marked 3 inline comments as done.Nov 10 2018, 12:51 PM
epriestley added inline comments.
src/applications/diffusion/query/DiffusionSyncLogSearchEngine.php
69–74

Ah, yep. Thanks!

101

Can't happen -- I overlooked this when copy/pasting pull logs. A pull may not have a valid repository (e.g., git pull <does-not-exist.git> effectively 404s and has no corresponding repository) but a sync may not, and SyncEventQuery does not load logs with an invalid repository.

  • Remove if (repository) checks -- sync logs loaded by SyncEventQuery will always have a valid repository object attached.
  • Fix export type of version columns.
This revision was automatically updated to reflect the committed changes.